const childrenRouters = [
  /* 首页 */
  {
    path: '/',
    name: 'Dashboard',
    component: () => import('../views/dashboard/dashboard.vue'),
    meta: {
      title: '首页',
      permission: 'dashboard',
      parentName: '首页',
    },
  },
  {
    path: '/dashboard',
    name: 'Dashboard',
    component: () => import('../views/dashboard/dashboard.vue'),
    meta: {
      title: '首页',
      permission: 'dashboard',
      parentName: '首页',
    },
  },
  /*
    生物安全
   */

  /* 人员管理 */
  {
    path: '/personAdmin',
    name: 'PersonAdmin',
    component: () => import('../views/BioSafety/PersonAdmin.vue'),
    meta: {
      title: '人员管理',
      permission: 'personAdmin',
      parentName: '生物安全',
    }
  },
  /* 车辆管理 */
  {
    path: '/carAdmin',
    name: 'CarAdmin',
    component: () => import('../views/BioSafety/CarAdmin.vue'),
    meta: {
      title: '车辆管理',
      permission: 'carAdmin',
      parentName: '生物安全',
    }
  },
  // {
  //   path: '/stiflingAdmin',
  //   name: 'StiflingAdmin',
  //   component: () => import('../views/BioSafety/StiflingAdmin.vue'),
  //   meta: {
  //     title: '熏蒸监管',
  //     permission: 'stiflingAdmin',
  //     parentName: '生物安全'
  //   }
  // },
  {
    path: '/deadPig',
    name: 'DeadPig',
    component: () => import('../views/BioSafety/DeadPig.vue'),
    meta: {
      title: '死猪管理',
      permission: 'deadPig',
      parentName: '生物安全'
    }
  },
  {
    path: '/doorAdmin',
    name: 'DoorAdmin',
    component: () => import('../views/BioSafety/DoorAdmin.vue'),
    meta: {
      title: '大门事件',
      permission: 'doorAdmin',
      parentName: '生物安全'
    }
  },

  /*
  *
  * 环境监测
  *
  * */

  {
    path: '/pigHouseEnv',
    name: 'PigHouseEnv',
    component: () => import('../views/Env/PigHouseEnv.vue'),
    meta: {
      title: '猪舍环境',
      permission: 'pigHouseEnv',
      parentName: '环境监测'
    }
  },
  {
    path: '/drinkWater',
    name: 'DrinkWater',
    component: () => import('../views/Env/DrinkWater.vue'),
    meta: {
      title: '饮水监测',
      permission: 'drinkWater',
      parentName: '环境监测'
    }
  },
  {
    path: '/electro',
    name: 'Electro',
    component: () => import('../views/Env/Electro.vue'),
    meta: {
      title: '用电监测',
      permission: 'electro',
      parentName: '环境监测'
    }
  },
  {
    path: '/stark',
    name: 'Stark',
    component: () => import('../views/Env/Stark.vue'),
    meta: {
      title: '料塔检测',
      permission: 'stark',
      parentName: '环境监测'
    }
  },
  {
    path: '/salePig',
    name: 'salePig',
    component: () => import('../views/Env/SalePig.vue'),
    meta: {
      title: '电子秤',
      permission: 'salePig',
      parentName: '生产数据'
    }
  },

  /**
   *
   * 生产数据
   *
   * **/

  {
    path: '/checkPig',
    name: 'CheckPig',
    component: () => import('../views/PdcData/CheckPig.vue'),
    meta: {
      title: '智能盘猪',
      permission: 'checkPig',
      parentName: '生产数据'
    }
  },
  {
    path: '/checkLog',
    name: 'CheckLog',
    component: () => import('../views/PdcData/CheckLog.vue'),
    meta: {
      title: '盘猪记录',
      permission: 'checkLog',
      parentName: '生产数据'
    }
  },
  {
    path: '/analysis',
    name: 'Analysis',
    component: () => import('../views/PdcData/Analysis.vue'),
    meta: {
      title: 'ERP数据分析',
      permission: 'analysis',
      parentName: '生产数据'
    }
  },
  /**
   *
   * 生态监测
   *
   * **/


  {
    path: '/sewage',
    name: 'Sewage',
    component: () => import('../views/Zoology/Sewage.vue'),
    meta: {
      title: '污水排放',
      permission: 'sewage',
      parentName: '生态监测'
    }
  },

  /**
   *
   * 违规报警
   *
   * **/

  {
    path: '/alarmWarn',
    name: 'AlarmWarn',
    component: () => import('../views/Alarm/AlarmWarn.vue'),
    meta: {
      title: '报警信息',
      permission: 'alarmWarn',
      parentName: '违规报警'
    }
  },
  {
    path: '/eventRem',
    name: 'EventRem',
    component: () => import('../views/Alarm/EventRem.vue'),
    meta: {
      title: '事件提醒',
      permission: 'eventRem',
      parentName: '违规报警'
    }
  },
  // {
  //   path: '/outage',
  //   name: 'Outage',
  //   component: () => import('../views/Alarm/Outage.vue'),
  //   meta: {
  //     title: '断电报警',
  //     permission: 'outage',
  //     parentName: '违规报警'
  //   }
  // },
  {
    path: '/violationUser',
    name: 'ViolationUser',
    component: () => import('../views/Alarm/ViolationUser.vue'),
    meta: {
      title: '人员违规报警',
      permission: 'violationUser',
      parentName: '违规报警'
    }
  },
  {
    path: '/envWarn',
    name: 'EnvWarn',
    component: () => import('../views/Alarm/EnvWarn.vue'),
    meta: {
      title: '环境监测报警',
      permission: 'envWarn',
      parentName: '违规报警'
    }
  },
  {
    path: '/sewageWarn',
    name: 'SewageWarn',
    component: () => import('../views/Alarm/SewageWarn.vue'),
    meta: {
      title: '污水排放报警',
      permission: 'sewageWarn',
      parentName: '违规报警'
    }
  },
  {
    path: '/alarmSet',
    name: 'AlarmSet',
    component: () => import('../views/Alarm/AlarmSet.vue'),
    meta: {
      title: '报警阈值设置',
      permission: 'alarmSet',
      parentName: '违规报警'
    }
  },

  /**
   *
   * 视频监控
   *
   * **/

  {
    path: '/videoLook',
    name: 'VideoLook',
    component: () => import('../views/Video/VideoLook.vue'),
    meta: {
      title: '大屏监控设置',
      permission: 'videoLook',
      parentName: '视频监控'
    }
  },
  {
    path: '/areaAdmin',
    name: 'AreaAdmin',
    component: () => import('../views/Video/AreaAdmin.vue'),
    meta: {
      title: '监控区域',
      permission: 'areaAdmin',
      parentName: '视频监控'
    }
  },
  {
    path: '/cameraBrand',
    name: 'CameraBrand',
    component: () => import('../views/Video/CameraBrand.vue'),
    meta: {
      title: '摄像头品牌',
      permission: 'cameraBrand',
      parentName: '视频监控'
    }
  },

  {
    path: '/videoAdmin',
    name: 'VideoAdmin',
    component: () => import('../views/Video/VideoAdmin.vue'),
    meta: {
      title: '监控管理',
      permission: 'videoAdmin',
      parentName: '视频监控'
    }
  },

  /*
  *
  * 设备管理
  *
  * */
 {
  path: '/device',
  name: 'device',
  component: () => import('../views/DeviceMana/Device.vue'),
  meta: {
    title: '设备详情',
    permission: 'device',
    parentName: '设备管理'
  }
 },

  /*
  *
  * 系统管理
  *
  * */
  {
    path: '/menuAdmin',
    name: 'MenuAdmin',
    component: () => import('../views/SystemAdmin/MenuAdmin.vue'),
    meta: {
      title: '菜单管理',
      permission: 'menuAdmin',
      parentName: '系统管理'
    }
  },
  {
    path: '/authAdmin',
    name: 'AuthAdmin',
    component: () => import('../views/SystemAdmin/AuthAdmin.vue'),
    meta: {
      title: '权限管理',
      permission: 'authAdmin',
      parentName: '系统管理'
    }
  },
  {
    path: '/userAdmin',
    name: 'UserAdmin',
    component: () => import('../views/SystemAdmin/UserAdmin.vue'),
    meta: {
      title: '用户管理',
      permission: 'userAdmin',
      parentName: '系统管理'
    }
  },
  {
    path: '/farmAdmin',
    name: 'FarmAdmin',
    component: () => import('../views/SystemAdmin/FarmAdmin.vue'),
    meta: {
      title: '牧场管理',
      permission: 'farmAdmin',
      parentName: '系统管理'
    }
  },
  {
    path: '/ErpFarm',
    name: 'ErpFarm',
    component: () => import('../views/SystemAdmin/ErpFarm.vue'),
    meta: {
      title: 'erp牧场管理',
      permission: 'ErpFarm',
      parentName: '系统管理'
    }
  },
  {
    path: '/farmOne',
    name: 'FarmOne',
    component: () => import('../views/SystemAdmin/FarmOne.vue'),
    meta: {
      title: '牧场1.0地址',
      permission: 'farmOne',
      parentName: '系统管理'
    }
  }
]

export default childrenRouters;
